


Name: 		kdevelop
Summary: 	Integrated Development Environment for C++/C
Version: 	5.1.0
Release:    %mkrel 1
Group:		Graphical desktop/KDE5
License:	GPLv2
URL:		http://www.kdevelop.org/
Source0:	http://download.kde.org/stable/kdevelop/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: clang-devel
BuildRequires: llvm-devel
BuildRequires: cmake 
BuildRequires: kdevelop-pg-qt-devel 
BuildRequires: libkconfig-devel 
BuildRequires: libkcoreaddons-devel 
BuildRequires: libkdevplatform-devel
BuildRequires: libkf5completion-devel 
BuildRequires: libkf5configwidgets-devel 
BuildRequires: libkf5crash-devel 
BuildRequires: libkf5declarative-devel 
BuildRequires: libkf5i18n-devel 
BuildRequires: libkf5iconthemes-devel 
BuildRequires: libkf5jobwidgets-devel 
BuildRequires: libkf5krunner-devel 
BuildRequires: libkf5newstuff-devel 
BuildRequires: libkf5parts-devel 
BuildRequires: libkf5plasma-devel 
BuildRequires: libkf5service-devel 
BuildRequires: libkf5sonnetui-devel 
BuildRequires: libkf5texteditor-devel 
BuildRequires: libkf5textwidgets-devel 
BuildRequires: libkf5threadweaver-devel 
BuildRequires: libkf5widgetsaddons-devel 
BuildRequires: libkf5xmlgui-devel 
BuildRequires: libkio-devel 
BuildRequires: libkitemviews-devel 
BuildRequires: libksysguard-devel 
BuildRequires: libqt5concurrent-devel 
BuildRequires: libqt5core-devel 
BuildRequires: libqt5dbus-devel 
BuildRequires: libqt5gui-devel 
BuildRequires: libqt5help-devel 
BuildRequires: libqt5network-devel 
BuildRequires: libqt5qml-devel 
BuildRequires: libqt5quick-devel 
BuildRequires: libqt5quickwidgets-devel 
BuildRequires: libqt5test-devel 
BuildRequires: libqt5webkit-devel 
BuildRequires: libqt5webkitwidgets-devel 
BuildRequires: libqt5widgets-devel 
BuildRequires: libqt5xml-devel 
BuildRequires: mesa-devel 
BuildRequires: qtbase5-common-devel 

Requires:	cmake
Requires:	git
Requires:	kdevplatform

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files -f %name.lang
%{_kf5_datadir}/mime/packages/*.xml
%{_kf5_applicationsdir}/*.desktop
%{_kf5_bindir}/*
%{_kf5_datadir}/kdev*
%{_kf5_knotificationsdir}/kdevelop.notifyrc
%{_kf5_datadir}/plasma/plasmoids/kdevelopsessions
%{_kf5_datadir}/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_libdir}/libkdevcmakecommon.so
%{_kf5_libdir}/libKDevClangPrivate.so.*
%{_kf5_services}/kdevelopsessions.desktop
%{_kf5_services}/plasma-applet-kdevelopsessions.desktop
%{_kf5_services}/plasma-dataengine-kdevelopsessions.desktop
%{_qt5_plugindir}/kdevplatform/27/*.so
%{_qt5_plugindir}/krunner_kdevelopsessions.so
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_kdevelopsessions.so
%{_kf5_datadir}/metainfo
%{_kf5_datadir}/kxmlgui5/kdevcppcheck/kdevcppcheck.rc
#------------------------------------------------

%package	devel
Summary:	Development files for kdevelop
Group:		Development/Libraries
Requires:	%{name}

%description	devel
Development files for kdevelop.

%files devel
%{_includedir}/kdevelop
%{_kf5_libdir}/cmake/KDevelop

#------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang %name --all-name --with-html 


%changelog
* Mon Apr 02 2018 adrianomorselli <adrianomorselli> 5.1.0-1uplos2018
- update
